org.keycloak.dom.saml.v2.ac

## Class TimeSyncTokenType

- java.lang.Object
- - org.keycloak.dom.saml.v2.ac.TimeSyncTokenType

-     public class TimeSyncTokenType
      extends Object

  Java class for TimeSyncTokenType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="TimeSyncTokenType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="DeviceType" use="required" type="{urn:oasis:names:tc:SAML:2.0:ac}DeviceTypeType" />
             <attribute name="SeedLength" use="required" type="{http://www.w3.org/2001/XMLSchema}integer" />
             <attribute name="DeviceInHand" use="required" type="{urn:oasis:names:tc:SAML:2.0:ac}booleanType" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected BooleanType` | `deviceInHand`
    `protected DeviceTypeType` | `deviceType`
    `protected BigInteger` | `seedLength`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeSyncTokenType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BooleanType` | `getDeviceInHand()` Gets the value of the deviceInHand property.
    `DeviceTypeType` | `getDeviceType()` Gets the value of the deviceType property.
    `BigInteger` | `getSeedLength()` Gets the value of the seedLength property.
    `void` | `setDeviceInHand(BooleanType value)` Sets the value of the deviceInHand property.
    `void` | `setDeviceType(DeviceTypeType value)` Sets the value of the deviceType property.
    `void` | `setSeedLength(BigInteger value)` Sets the value of the seedLength property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### deviceType

          protected DeviceTypeType deviceType

    - #### seedLength

          protected BigInteger seedLength

    - #### deviceInHand

          protected BooleanType deviceInHand

  - ### Constructor Detail

    - #### TimeSyncTokenType

          public TimeSyncTokenType()

  - ### Method Detail

    - #### getDeviceType

          public DeviceTypeType getDeviceType()

      Gets the value of the deviceType property.
      Returns:
        possible object is `DeviceTypeType`

    - #### setDeviceType

          public void setDeviceType(DeviceTypeType value)

      Sets the value of the deviceType property.
      Parameters:
        `value` - allowed object is `DeviceTypeType`

    - #### getSeedLength

          public BigInteger getSeedLength()

      Gets the value of the seedLength property.
      Returns:
        possible object is `BigInteger`

    - #### setSeedLength

          public void setSeedLength(BigInteger value)

      Sets the value of the seedLength property.
      Parameters:
        `value` - allowed object is `BigInteger`

    - #### getDeviceInHand

          public BooleanType getDeviceInHand()

      Gets the value of the deviceInHand property.
      Returns:
        possible object is `BooleanType`

    - #### setDeviceInHand

          public void setDeviceInHand(BooleanType value)

      Sets the value of the deviceInHand property.
      Parameters:
        `value` - allowed object is `BooleanType`

Copyright © 2020 JBoss by Red Hat. All rights reserved.